#
# spec file for package openstack-horizon-plugin-neutron-lbaas-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 5.1.0.dev33

Name:           openstack-horizon-plugin-neutron-lbaas-ui
Version:        5.1.0~dev33
Release:        1.1
Summary:        Neutron lbaas management plugin for Horizon
License:        Apache-2.0
Group:          System/Management
Url:            https://launchpad.net/neutron-lbaas-dashboard
Source:         http://tarballs.openstack.org/neutron-lbaas-dashboard/neutron-lbaas-dashboard-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-pbr
Requires:       python-horizon-plugin-neutron-lbaas-ui = %{version}
Requires(post): python-horizon-plugin-neutron-lbaas-ui = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenStack Neutron load balancer v2 management plugin for Horizon.

%package -n python-horizon-plugin-neutron-lbaas-ui
Summary:        Neutron Lbaas Management Plugin for Horizon - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-barbicanclient >= 4.5.2
Requires:       python-pbr >= 2.0.0

%description -n python-horizon-plugin-neutron-lbaas-ui
OpenStack Neutron load balancer v2 management plugin for Horizon.

This package contains the core Python module of the neutron-lbaas-ui.

%package test
Summary:        Neutron Lbaas Management Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-ddt >= 1.0.1
Requires:       python-django-nose >= 1.4.4
Requires:       python-oslotest >= 3.2.0
Requires:       python-python-subunit >= 1.0.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testscenarios >= 0.4
Requires:       python-testtools >= 2.2.0
Requires:       python-xvfbwrapper >= 0.1.3

%description test
OpenStack Neutron load balancer v2 management plugin for Horizon. 
It is used to verify the functionality of the Neutron Lbaas UI Plugin.

%prep
%setup -q -n neutron-lbaas-dashboard-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
cp -a neutron_lbaas_dashboard/enabled/_1481_project_ng_loadbalancersv2_panel.py %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/

### misc
%fdupes %{buildroot}%{python_sitelib}/neutron_lbaas_dashboard

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
/srv/www/openstack-dashboard/openstack_dashboard/enabled
%doc ChangeLog README.rst
%license LICENSE

%files -n python-horizon-plugin-neutron-lbaas-ui
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/neutron_lbaas_dashboard/
%{python_sitelib}/neutron_lbaas_dashboard-*.egg-info
%exclude %{python_sitelib}/neutron_lbaas_dashboard/test*

%files test
%defattr(-,root,root)
%{python_sitelib}/neutron_lbaas_dashboard/test*

%changelog
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.1.0.dev33:
  * Fix neutron-lbaas-dashboard and octavia-dashboard
  * Add nodejs10 jobs on bionic
  * Switch to horizon-nodejs4-jobs template
  * Display error when entering a non-integer
  * Imported Translations from Zanata
  * Update home-page
  * Use template for lower-constraints
  * Change openstack-dev to openstack-discuss
  * Update the URL in HACKING.rst
* Tue Nov 20 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.1.0.dev19:
  * Update min tox version to 2.0
* Sat Oct 20 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.1.0.dev18:
  * sni\_container\_refs needed if we want to use sni
* Thu Oct 18 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.1.0.dev16:
  * Update the hacking to latest
  * Increment versioning with pbr instruction
* Thu Oct  4 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev14:
  * fix tox python3 overrides
* Sun Sep 30 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev12:
  * Add Python 3.6 unit test jobs
  * Imported Translations from Zanata
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev9:
  * Imported Translations from Zanata
* Sat Sep 15 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev8:
  * Imported Translations from Zanata
* Sat Aug 25 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev7:
  * switch documentation job to new PTI
  * import zuul job settings from project-config
* Wed Aug 22 2018 nicolas.bock@suse.com
- Fix linter warnings about license
* Wed Aug 22 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev5:
  * Remove obsolete gate hooks
  * Drop nose dependencies
* Tue Aug 21 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0rc2.dev3:
  * Removes testr and switches cover to karma-coverage
  * Replace noop tests with registration test
  5.0.0.0rc1
  * Cannot update ssl certificate when update listener
* Wed May  2 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-5.0.0.0b2.dev2:
  * Imported Translations from Zanata
  5.0.0.0b1
  * Update tox.ini
* Fri Mar 30 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev11:
  * add lower-constraints job
  * i18n: Do not include html directives in translation strings
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev8:
  * Update links in README
  * Show last updated timestamp for docs
* Wed Mar 21 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev5:
  * Adds some notes on running both dashboards
* Mon Mar 19 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev3:
  * Updated from global requirements
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev2:
  * Remove tox\_install
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.1.dev1:
  * Imported Translations from Zanata
  4.0.0
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b4.dev3:
  * Updated from global requirements
* Sun Feb  4 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b4.dev1:
  * Mark neutron-lbaas-dashboard as deprecated
  4.0.0.0b3
* Wed Jan 24 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b3.dev17:
  * Updated from global requirements
  * Updating for new sphinx docs jobs
  * Updated from global requirements
  * Move user guide from horizon to LBaaS dashboard
* Tue Jan 23 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b3.dev10:
  * Imported Translations from Zanata
* Sat Jan 20 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b3.dev9:
  * Fix the wrong urls in README.rst
* Tue Jan  2 2018 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b3.dev8:
  * Update gitignore
  * Make whitelist externals os agnostic
  * Imported Translations from Zanata
* Sat Dec 16 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-4.0.0.0b3.dev3:
  * Use standard nodejs4 tests
  * Imported Translations from Zanata
  4.0.0.0b2
  * Updated from global requirements
  * Move neutron-lbaas-dashboard zuulv3 config in repo
  4.0.0.0b1
  * Set package.json version to 4.0.0.0b1 Queens MS1
* Wed Oct 11 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.1.dev7:
  * Imported Translations from Zanata
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.1.dev6:
  * Updated from global requirements
  * Remove old unused code
  * Modify the '.gitignore' file
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.1.dev1:
  3.0.0
  * Imported Translations from Zanata
* Sat Aug 12 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b4.dev3:
  * Imported Translations from Zanata
* Tue Aug  8 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b4.dev2:
  * Imported Translations from Zanata
* Sat Aug  5 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b4.dev1:
  * Updated from global requirements
  3.0.0.0b3
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b3.dev16:
  * Imported Translations from Zanata
  * Add loading and error status to detail pages
  * Make it work with devstack
* Thu Jul 27 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b3.dev10:
  * Show the member status properties
  * Move FIP api from network to neutron
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b3.dev8:
  * Get rid of removed Django code
  * Fix npm test
* Fri Jun 30 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b3.dev5:
  * Exclude node\_modules from pep8 checking
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b3.dev3:
  * Imported Translations from Zanata
  3.0.0.0b2
  * Updated from global requirements
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b2.dev8:
  * Replace SortedDict with OrderedDict
  * Updated from global requirements
* Thu May 18 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b2.dev5:
  * Updated from global requirements
  * Optimize the link address
  * Using oslo\_log instead of logging
  * Fix list\_loadbalancers function
  * LBaaS dashboard resepects OPENSTACK\_SSL settings
  * Make Barbican client respect OPENSTACK\_ENDPOINT\_TYPE
  * Add support for TERMINATED\_HTTPS protocol
  * Change ignore-errors to ignore\_errors
* Tue Apr 18 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-3.0.0.0b2.dev2:
  * Updated from global requirements
  3.0.0.0b1
* Tue Apr 11 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev9:
  * Imported Translations from Zanata
* Sat Apr  8 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev8:
  * Updated from global requirements
* Wed Mar 15 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev7:
  * Fixes the installation documentation page
* Tue Mar 14 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev5:
  * Updated from global requirements
* Wed Feb 15 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev4:
  * Updated from global requirements
  * Fix bugs URL for project ownership change
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-2.0.1.dev1:
  2.0.0
  * Imported Translations from Zanata
  * Added link to modindex
* Sat Feb  4 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev53:
  * Imported Translations from Zanata
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev52:
  * Updated from global requirements
  * Update for ui bootstrap changes
* Thu Jan 26 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev49:
  * Allow hacking 0.12.x
  * Imported Translations from Zanata
* Wed Jan 25 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev46:
  * Imported Translations from Zanata
* Wed Jan 18 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev45:
  * Imported Translations from Zanata
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev44:
  * Imported Translations from Zanata
* Thu Dec 29 2016 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev43:
  * Add Constraints support
* Tue Dec  6 2016 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev42:
  * Imported Translations from Zanata
* Fri Dec  2 2016 tbechtold@suse.com
- Remove python-selenium from -test pkg
* Thu Dec  1 2016 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev41:
  * Using horizon's templateview instead of generic one from django
* Wed Nov 30 2016 mjura@suse.com
- Install correct panel file _1481_project_ng_loadbalancersv2_panel.py
* Wed Nov 30 2016 dmueller@suse.com
- fix requirements
* Wed Nov 30 2016 cloud-devel@suse.de
- Update to version neutron-lbaas-dashboard-1.0.1.dev39:
  * Imported Translations from Zanata
* Tue Nov 29 2016 tbechtold@suse.com
- Use tarballs.openstack.org as Source
- Add _service file
* Tue Nov 29 2016 mjura@suse.com
- Initial packaging (version 1.0.0)
